tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Caldarale, Charles R" <Chuck.Caldar...@unisys.com>
Subject RE: Tomcat error: It is not available the ServletAction
Date Thu, 02 Apr 2009 14:30:05 GMT
> From: Christopher Schultz [mailto:chris@christopherschultz.net]
> Subject: Re: Tomcat error: It is not available the ServletAction
> 
> Apache Cocoon, for instance, ships with xercesImpl-2.9.1.jar
> (actual Xerces) along with xml-apis-1.3.04.jar (the org.w3c.*,
> org.xml.* and javax.xml.* interfaces, etc.) provided as part
> of the webapp's libraries.

O.k., good to know.  Have the class names changed since the version the OP is using was delivered?
 The various mailing lists are littered with stories of class conflict problems due to having
multiple XML parser jars visible in a given classloader's path, especially on a 1.5 or newer
JRE.

Note that the Tomcat 5.5 compatibility package for running with a 1.4 JRE consists primarily
of the Xerces implementation and XML API definition jars, which are built-in to 1.5; leaving
the compatibility package installed when switching from a 1.4 to a 1.5 JRE definitely does
cause problems.

 - Chuck


THIS COMMUNICATION MAY CONTAIN CONFIDENTIAL AND/OR OTHERWISE PROPRIETARY MATERIAL and is thus
for use only by the intended recipient. If you received this in error, please contact the
sender and delete the e-mail and its attachments from all computers.


Mime
View raw message